## org.apache.poi.hwpf.model.types
Class SHD80AbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.SHD80AbstractType

Direct Known Subclasses:
  ShadingDescriptor80

    @Internal
    public abstract class SHD80AbstractType

extends java.lang.Object

The SHD80 is a substructure of the CHP and PAP, and TC for Word 97.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Field Summary
`protected short` `field_1_value`

Constructor Summary
`protected` `SHD80AbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`byte` `getIcoBack()` Background color
`byte` `getIcoFore()` Foreground color
`byte` `getIpat()` Shading pattern
`static int` `getSize()` Size of record
`short` `getValue()` Get the value field for the SHD80 record.
`void` `serialize(byte[] data, int offset)`
`void` `setIcoBack(byte value)` Sets the icoBack field value.
`void` `setIcoFore(byte value)` Sets the icoFore field value.
`void` `setIpat(byte value)` Sets the ipat field value.
`void` `setValue(short field_1_value)` Set the value field for the SHD80 record.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_value

    protected short field_1_value

Constructor Detail

### SHD80AbstractType

    protected SHD80AbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    @Internal
    public short getValue()

  Get the value field for the SHD80 record.

### setValue

    @Internal
    public void setValue(short field_1_value)

  Set the value field for the SHD80 record.

### setIcoFore

    @Internal
    public void setIcoFore(byte value)

  Sets the icoFore field value. Foreground color

### getIcoFore

    @Internal
    public byte getIcoFore()

  Foreground color

  Returns:
    the icoFore field value.

### setIcoBack

    @Internal
    public void setIcoBack(byte value)

  Sets the icoBack field value. Background color

### getIcoBack

    @Internal
    public byte getIcoBack()

  Background color

  Returns:
    the icoBack field value.

### setIpat

    @Internal
    public void setIpat(byte value)

  Sets the ipat field value. Shading pattern

### getIpat

    @Internal
    public byte getIpat()

  Shading pattern

  Returns:
    the ipat field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.